djot-0.1.4: Parser and renderer for djot light markup syntax.

Safe Haskell | None
Language | Haskell2010

Djot.Attributes

Synopsis

- pAttributes :: Parser s Attr
- parseAttributes :: Maybe AttrParserState -> ByteString -> AttrParseResult
- data AttrParserState
- data AttrParseResult
  - = Done (Attr, Int)
  - | Failed Int
  - | Partial AttrParserState

# Documentation

pAttributes :: Parser s Attr Source #

parseAttributes :: Maybe AttrParserState -> ByteString -> AttrParseResult Source #

Resumable parser, returning parts in reverse order.

data AttrParserState Source #

#### Instances

Instances details

Show AttrParserState Source # |
Instance details Defined in Djot.Attributes Methods showsPrec :: Int -> AttrParserState -> ShowS Source # show :: AttrParserState -> String Source # showList :: [AttrParserState] -> ShowS Source #

data AttrParseResult Source #

Constructors

Done (Attr, Int) |
Failed Int |
Partial AttrParserState |

#### Instances

Instances details

Show AttrParseResult Source # |
Instance details Defined in Djot.Attributes Methods showsPrec :: Int -> AttrParseResult -> ShowS Source # show :: AttrParseResult -> String Source # showList :: [AttrParseResult] -> ShowS Source #